Runtime

## org.eclipse.gmf.runtime.notation.impl
Class DiagramImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.gmf.runtime.notation.impl.ViewImpl
                              org.eclipse.gmf.runtime.notation.impl.DiagramImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, Diagram, View

Direct Known Subclasses:
  StandardDiagramImpl

    public class DiagramImpl

extends ViewImpl
implements Diagram

An implementation of the model object 'Diagram'.

The following features are implemented:

- `Name`
- `Measurement Unit`
- `Persisted Edges`
- `Transient Edges`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static org.eclipse.emf.ecore.EStructuralFeature[]` `edgesFeatures`
`protected static MeasurementUnit` `MEASUREMENT_UNIT_EDEFAULT` The default value of the '`Measurement Unit`' attribute
`protected static int` `MEASUREMENT_UNIT_EFLAG` The flag representing the value of the '`Measurement Unit`' attribute
`protected static int` `MEASUREMENT_UNIT_EFLAG_DEFAULT` The flags representing the default value of the '`Measurement Unit`' attribute
`protected static int` `MEASUREMENT_UNIT_EFLAG_OFFSET` The offset of the flags representing the value of the '`Measurement Unit`' attribute
`protected static int` `MEASUREMENT_UNIT_ESETFLAG` The flag representing whether the Measurement Unit attribute has been set
`protected java.lang.String` `name` The cached value of the '`Name`' attribute
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute
`protected org.eclipse.emf.common.util.EList` `persistedEdges` The cached value of the '`Persisted Edges`' containment reference list
`protected org.eclipse.emf.common.util.EList` `transientEdges` The cached value of the '`Transient Edges`' containment reference list

Fields inherited from class org.eclipse.gmf.runtime.notation.impl.ViewImpl
`childrenFeatures, element, ELEMENT_ESETFLAG, MUTABLE_EDEFAULT, MUTABLE_EFLAG, persistedChildren, sourceEdges, styles, targetEdges, transientChildren, type, TYPE_EDEFAULT, VISIBLE_EDEFAULT, VISIBLE_EFLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `DiagramImpl()`

Method Summary
`Edge` `createEdge(org.eclipse.emf.ecore.EClass eClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` `getEdges()`
`MeasurementUnit` `getMeasurementUnit()`
`java.lang.String` `getName()`
`org.eclipse.emf.common.util.EList` `getPersistedEdges()`
`org.eclipse.emf.common.util.EList` `getTransientEdges()`
`void` `insertEdge(Edge edge)`
`void` `insertEdge(Edge edge, boolean persisted)`
`void` `insertEdgeAt(Edge edge, int index)`
`boolean` `isSetMeasurementUnit()`
`void` `persistEdges()`
`void` `removeEdge(Edge edge)`
`void` `setMeasurementUnit(MeasurementUnit newMeasurementUnit)` Set the Measurement Unit for this Diagram, the Measure ment unit can be set only once, the set method will not set the value if it was already set
`void` `setName(java.lang.String newName)`
`java.lang.String` `toString()`
`void` `unsetMeasurementUnit()`

Methods inherited from class org.eclipse.gmf.runtime.notation.impl.ViewImpl

`basicGetDiagram, basicGetElement, createChild, createStyle, eInverseAdd, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setTypeGen, setVisible, unsetElement`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eInvoke, eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.notation.View
`createChild, createStyle, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setVisible, unsetElement`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`, Constant Field Values
  ** Generated **
  Ordered:

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`
  ** Generated **
  Ordered:

### MEASUREMENT_UNIT_EDEFAULT

    protected static final MeasurementUnit MEASUREMENT_UNIT_EDEFAULT

  The default value of the '`Measurement Unit`' attribute.

  See Also:
    `getMeasurementUnit()`
  ** Generated **
  Ordered:

### MEASUREMENT_UNIT_EFLAG_OFFSET

    protected static final int MEASUREMENT_UNIT_EFLAG_OFFSET

  The offset of the flags representing the value of the '`Measurement Unit`' attribute.

  Since:
    1.2
  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MEASUREMENT_UNIT_EFLAG_DEFAULT

    protected static final int MEASUREMENT_UNIT_EFLAG_DEFAULT

  The flags representing the default value of the '`Measurement Unit`' attribute.

  Since:
    1.2
  ** Generated **
  Ordered:

### MEASUREMENT_UNIT_EFLAG

    protected static final int MEASUREMENT_UNIT_EFLAG

  The flag representing the value of the '`Measurement Unit`' attribute.

  Since:
    1.2
  See Also:
    `getMeasurementUnit()`, Constant Field Values
  ** Generated **
  Ordered:

### MEASUREMENT_UNIT_ESETFLAG

    protected static final int MEASUREMENT_UNIT_ESETFLAG

  The flag representing whether the Measurement Unit attribute has been set.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### persistedEdges

    protected org.eclipse.emf.common.util.EList persistedEdges

  The cached value of the '`Persisted Edges`' containment reference list.

  See Also:
    `getPersistedEdges()`
  ** Generated **
  Ordered:

### transientEdges

    protected org.eclipse.emf.common.util.EList transientEdges

  The cached value of the '`Transient Edges`' containment reference list.

  See Also:
    `getTransientEdges()`
  ** Generated **
  Ordered:

### edgesFeatures

    protected static final org.eclipse.emf.ecore.EStructuralFeature[] edgesFeatures

Constructor Detail

### DiagramImpl

    protected DiagramImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ViewImpl`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Diagram`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `Diagram.setName(String)`, `NotationPackage.getDiagram_Name()`
  ** Generated **

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `Diagram`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `Diagram.getName()`
  ** Generated **

### getMeasurementUnit

    public MeasurementUnit getMeasurementUnit()

  Specified by:
    `getMeasurementUnit` in interface `Diagram`
  Returns:
    the value of the 'Measurement Unit' attribute.
  See Also:
    `MeasurementUnit`, `Diagram.isSetMeasurementUnit()`, `Diagram.unsetMeasurementUnit()`, `Diagram.setMeasurementUnit(MeasurementUnit)`, `NotationPackage.getDiagram_MeasurementUnit()`
  ** Generated **

### setMeasurementUnit

    public void setMeasurementUnit(MeasurementUnit newMeasurementUnit)

  Set the Measurement Unit for this Diagram, the Measure ment unit can be set only once, the set method will not set the value if it was already set

  Specified by:
    `setMeasurementUnit` in interface `Diagram`
  Parameters:
    `newMeasurementUnit` - the new value of the 'Measurement Unit' attribute.
  See Also:
    `MeasurementUnit`, `Diagram.isSetMeasurementUnit()`, `Diagram.unsetMeasurementUnit()`, `Diagram.getMeasurementUnit()`
  ** Generated **
    NOT

### unsetMeasurementUnit

    public void unsetMeasurementUnit()

  Specified by:
    `unsetMeasurementUnit` in interface `Diagram`
  See Also:
    `Diagram.isSetMeasurementUnit()`, `Diagram.getMeasurementUnit()`, `Diagram.setMeasurementUnit(MeasurementUnit)`

### isSetMeasurementUnit

    public boolean isSetMeasurementUnit()

  Specified by:
    `isSetMeasurementUnit` in interface `Diagram`
  Returns:
    whether the value of the 'Measurement Unit' attribute is set.
  See Also:
    `Diagram.unsetMeasurementUnit()`, `Diagram.getMeasurementUnit()`, `Diagram.setMeasurementUnit(MeasurementUnit)`
  ** Generated **

### getEdges

    public org.eclipse.emf.common.util.EList getEdges()

  Specified by:
    `getEdges` in interface `Diagram`
  Returns:
    the value of the 'Edges' list.
  See Also:
    `org.eclipse.gmf.runtime.notation.NotationPackage#getDiagram_Edges()`

### getPersistedEdges

    public org.eclipse.emf.common.util.EList getPersistedEdges()

  Specified by:
    `getPersistedEdges` in interface `Diagram`
  Returns:
    the value of the 'Persisted Edges' containment reference list.
  See Also:
    `NotationPackage.getDiagram_PersistedEdges()`
  ** Generated **

### getTransientEdges

    public org.eclipse.emf.common.util.EList getTransientEdges()

  Specified by:
    `getTransientEdges` in interface `Diagram`
  Returns:
    the value of the 'Transient Edges' containment reference list.
  See Also:
    `NotationPackage.getDiagram_TransientEdges()`
  ** Generated **

### createEdge

    public Edge createEdge(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `createEdge` in interface `Diagram`
  Parameters:
    `eClass` - the `EClass` to be used in creating the `Edge` object

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `ViewImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `ViewImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `ViewImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `ViewImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `ViewImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ViewImpl`
  ** Generated **

### insertEdge

    public void insertEdge(Edge edge)

  Specified by:
    `insertEdge` in interface `Diagram`
  Parameters:
    `edge` - the 'Edge' to insert.

### insertEdgeAt

    public void insertEdgeAt(Edge edge,
                             int index)

  Specified by:
    `insertEdgeAt` in interface `Diagram`
  Parameters:
    `edge` - the 'Edge' to insert.

### insertEdge

    public void insertEdge(Edge edge,
                           boolean persisted)

  Specified by:
    `insertEdge` in interface `Diagram`
  Parameters:
    `edge` - the 'Edge' to insert.

### persistEdges

    public void persistEdges()

  Specified by:
    `persistEdges` in interface `Diagram`

### removeEdge

    public void removeEdge(Edge edge)

  Specified by:
    `removeEdge` in interface `Diagram`
  Parameters:
    `edge` - the 'Edge' to remove

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.